Subject: Linux Frequently Asked Questions 1/6 [monthly posted]
From: [email-masked]
Date: Thu, 10 Jun 1993 13:16:13 GMT
Newsgroups: comp.os.linux,comp.os.linux.announce,comp.answers,news.answers

Archive-name: linux-faq/part1
Last-Modified: 93/06/11
Version: 1.19

*********************************************************
*							*
*   Answers to Frequently asked questions about Linux   *
*							*
*********************************************************

This post contains Part 1 of the Linux FAQ (6 parts)

Hi Linuxers!

The original FAQ 1st version was posted on Dec. 19, 1991 by Robert Blum.

Most credits to Linus, Robert and Ted for the departure point of this
work. The first X11 section was written by Peter Hawkins, the rest was
either on the list posted by many (real) activists, not me ;-), either
in some other news groups, or else by direct posting to me (thanks
Humberto, Dan, Michael, Drew, Audoin). I haven't systematically
copyrighted them, so thanks to every one who participated even
indirectly to this FAQ.

Since September 1992, the FAQ is co-written by:

WHO 			(WHAT) 		E-MAIL
=============================================================================
Michael K. Johnson  	(META-FAQ) 	[email-masked]
Matt Welsh		(GENERAL INFO)	[email-masked]
Zane Healy		(BBS INFO)	[email-masked]
Matt Welsh		(INSTALLATION)	[email-masked]
Peter MacDonald		(SLS INFO)	[email-masked]
Mark Komarinski 	(DOS) 	 	[email-masked]
Drew Eckhardt		(SCSI)		[email-masked] 
Rick Miller		(DEVICE INFO)	[email-masked]
Hongjiu Lu		(GCC)		[email-masked]
Krishna Balasubramanian (X11)		[email-masked] 
Rick Sladkey		(EMACS)		[email-masked]
Philip Copeland		(NET INFO)	[email-masked]
Brian McCauley		(LPD)		[email-masked]
Vince Skahan		(UUCP/NEWS..)	[email-masked]
Dirk Hohndel		(PROOF READER)	[email-masked]
Marc-Michel Corsini	(FAQ collector)	corsini@{labri,firmin}.greco-prog.fr
=============================================================================

If anyone is interested in participating with this FAQ, just send me a
note with: your name/e-mail and the section you want to maintain.  

Many of the questions could be avoided, if people had read the FAQ of
the following newsgroups: news.announce.newusers, comp.lang.c,
gnu.emacs.help,  comp.unix.questions, comp.windows.x.i386unix.  
 
[The last-change-date of this posting is always "two minutes ago".  :-)]

This is the introduction to a list of frequently asked questions (FAQ
for short) about Linux with answers (Yeap!).  This article contains a
listing of the sections and queries.

This FAQ is supposed to reduce the noise level ;-) in the
comp.os.linux newsgroup, and spare the time of many activists. I will
cross-post it each month to news.answers. This FAQ is NOT an
introduction to UNIX, there are many books for unix, and there is
*also* a FAQ for unix (it's the one of comp.unix.questions which
contains things such as "How do I remove a file named -". I DO NOT
WANT TO ADD SUCH THINGS IN THIS FAQ DEVOTED TO LINUX.

Some books to read: 
  The C Programming Language: Kernighan & Ritchie
  POSIX Programmer's Guide: D. Lewine
  Unix System Administration Handbook: Nemeth, Snyder & Seebass.
  Unix for the Impatient: Abrahams & Larson
  Unix System V Release 4, An Introduction, by Rosen, Rosinski and
    Farber; Publisher Osborne MacGraw-Hill.
  The X Windows System in a Nutshell: O'Reilly.
.....

This FAQ is available at the main Linux sites in the doc directory,
the addresses are given in section II. of this FAQ. There is also an
archive of (all) FAQs at rtfm.mit.edu [18.70.0.224]. Have a look in
the anonymous ftp directory: /pub/usenet/news.answers/linux-faq.
If you do not have anonymous ftp access, you can access the archive by
mail server. Send mail to [email-masked] with the words
"help" and "index" in the body on separate lines for more information.

The information in this multi-parts FAQ is likely to change relatively
quickly. If this is more than two months old (it was released on
February 1993) then you should obtain a new copy. See the paragraph
above for details of where to find a more recent version.

Please suggest any change, rephrasing, deletions, new questions,
answers ...  
Please include "FAQ" in the subject of messages sent to me about FAQ.  
Please send them to [email-masked] whatever will be the
From part of this message. Finally discussion about the FAQ can be
done on the DOC Channel (see section II).

Thanks in advance,
				Marc

Thanks to Martin Schulze ([email-masked]),
the FAQ can be found in LaTeX version --- the first attempt was done
by Pepe de flores ---  at tsx-11.mit.edu in pub/linux/docs.

Future Plan:

	- provide FAQ as diff too, since it seems to stay stable
	  except for very few sections.
	- perform automatic post to c.o.l, c.o.l.a, c.a and n.a 
	  every month as I promised long time ago.

================================8<=====8<==============================
CONTENTS (of this part)

	0.	WARNINGS				(part1)
	I.	LINUX GENERAL INFORMATION		(part1)
	II.	LINUX USEFUL ADDRESSES			(part1)

================================8<=====8<==============================

0. WARNINGS
===========

The FAQ contains a lot of information sometimes I've put it down 
in 3 different ways because people seems not to understand what they
read (or what I wrote, you know I'm just a froggy and english is not
my natural language). What I mean is that not all is in the FAQ but 
many things are there, so please just take time to read it this will 
spare a lot of the other linuxers [and if you think I should rephrase
some Q/A just drop me a note with the corrections].

As the Linux kernel changes monthly (and even more ...), I define 2
pseudo variables a la C one for the version, and one for the date of
the release.  

#define CURRENT_VERSION    0.99     /* the current version */
#define PATCH_LEVEL	   pl10     /* the patch level */
#define KERNEL_DATE	   29, May  /* Date of the CURRENT_VERSION */

In what follows I'll consider CURRENT_VERSION as the current version.

> From: [email-masked] (Linus Torvalds)
> Subject: Re: New pl10 uploaded
> Date: Sat, 29 May 1993 17:21:35 +0300
> 
> 
> I uploaded a new version of the ALPHA-pl10 to nic.funet.fi: this one
> contains some more fixes for the networking code, along with various
> other minor changes (including the math emulation fix).  The directory
> is, as before, pub/OS/Linux/PEOPLE/Linus.  I'd suggest removing any old
> traces of linux before unpacking this, so that you won't have problems
> with old object files etc. 
> 
> Also note that Fred put the new networking binaries on tsx-11 the other
> day, so you should probably get them from pub/linux/packages/net/net-2. 
> I'd suggest getting at least the 'net-base' and 'net-std' packages of
> binaries, as they contain the config programs as well as all the normal
> networking binaries. 
> 
> I'd be especially interested to hear comments from the people who were
> unable to get the previous alpha-pl10 working.  Does this one work for
> you? If it doesn't *please* mail me directly, as that problem is now the
> only thing keeping me from a real release. 
> 
> To recap, pl10 gives you roughly:
>  - new net-2 code (FvK) along with the newest drivers from Donald.
>  - IPC doesn't need patching (Krishna Balasubramanian).
>  - various FPU-emulation details fixed (Bill Metzenthen)
>  - ext2fs updates by Remy Card and Steven Tweedie.
>  - dynamic inode and file allocation (Steven Tweedie) with hash tables
>    for better inode lookup etc.  Hopefully no more EMFILE errors.
>  - updated fdomain driver by Rik Faith (along with some other SCSI
>    changes by others)
>  - tty changes by Tytso and others.
>  - new uname() call for extended info (ie domain). HLU.
>  - iBCS signal stacks and stubs for 'lcall 7,0'.
>  - buffer cache / code page sharing.  Small changes since the last
>    ALPHA-diff, as people with 4MB reported that the old code didn't
>    relinquish pages very nicely. 
>  - updated 'clone()' - it didn't actually work with 'execve()' before,
>    and there may still be some problems.  Untested. 
>  - various other changes: I've probably forgotten half the changes since
>    0.99pl9. 
> 
> Please test it out, and if you have problems, mail me about them so that
> I know about it.  Feel free to send them to the mailing list and
> newsgroup too, of course, but at least include a mail to me - I'm
> working on finding the reason for the bootup problems that two persons
> have experienced: the more data I can get on this, the merrier. 
> 
> 		Linus
> 
> 

I. LINUX GENERAL INFORMATION 
=============================
*** This section is maintained by Matt Welsh ([email-masked]). Mail
*** him if you have corrections, additions, other questions, etc. 
*** Last update June 1993.

   I.01)  What is linux?

ANSWER: Linux is a free, copylefted full-featured UNIX for 386 and 486
machines which use the AT bus. It is still in "beta testing" (the current
version number of the kernel is less than 1.0) but is being used worldwide
by thousands (?) of people.

(*) Free means that you may use it, change it , redistribute it, as
long as you don't change the copyright. Free does not mean public
domain. Linux is copylefted under the GNU General Public License.

Linux is a freely distributable UNIX clone.  It implements a subset of
System V and POSIX functionality, and contains a lot of BSD-isms.
LINUX has been written from scratch, and therefore does not contain
any AT&T or MINIX code--not in the kernel, the compiler, the
utilities, or the libraries.  For this reason it can be made available
with the complete source code via anonymous FTP.  LINUX runs only on
386/486 AT-bus machines; porting to non-Intel architectures is likely
to be difficult, as the kernel makes extensive use of 386 memory
management and task primitives. 

   I.02)   Does Linux support GCC, TCP/IP, X-Windows, MGR, etc.?

ANSWER: Linux currently supports and uses a large amount of the GNU
software (i.e. GCC, bison, groff, etc) so all of that functionality is
there. X-Windows is also available, along with many client
applications. MGR is there too. TCP/IP is available. I use Linux boxes as 
Xterminals and my "own" asterix has mounted half a Gig via NFS. Mitch DSuoza 
is running an anonymous FTP server on his Linux box. This is definitely
more than testing. 

See section IX of this FAQ ("Features")!

In short, Linux supports many, many features and programs. One of the
biggest questions is: "Does ***** work on Linux? Does Linux have *****?" 
The answer, usually, is "yes". Just check out the rest of this FAQ,
the newsgroup, as well as the files on the FTP sites. 

   I.03)   What is the current state of Linux?

ANSWER: There are two main groups devoted to linux:
The original one: comp.os.linux newsgroup, where the INFO-SHEET is
periodically posted. 
The selective one: comp.os.linux.announce, which is a moderated
newsgroup, has a lot less traffic, and contains all of the "IMPORTANT"
information on Linux. 

   I.04)  Linux sounds great, but where do I get it and how do I 
install it? 

ANSWER: FIRST read this FAQ, and especially section III (installation).  
There is no single, "official" release of Linux--- instead, there
are several independent releases, all with their own advantages and
disadvantages. The SLS release is the de facto standard.

Choose a "release" of Linux (such as the SLS release, TAMU, bootdisk/
rootdisk, etc). Download from your nearest FTP site, and put it on 
floppies. Specific instructions are given in section III and in the 
README files for each release.

Note that some releases only give you the kernel and a few utilities,
and others give you everything you need (including X11, GCC, and more)
in that latter case the downloading is close to a douzen of SOFT. Just
check out section III for more info.

   I.05)  Sounds good, but all of these docs are very confusing. Is
Linux really difficult to install and use?

ANSWER: This FAQ, as you can see, if very large. This is mostly because
it's full of every single frequently asked question about Linux on the
net. In essence, it's very simple: to get started with Linux, download
the SLS release, put it onto floppies (see section III), repartition your
drive, and install the software. 

If you're new to the UNIX world, Linux (as with any UNIX) is going to
be difficult to understand at first. There isn't a lot of real 
documentation (other than this FAQ) out there. The Linux Doc Project
(mail [email-masked]' for info) is working on a set of Linux manuals
which should solve this problem. However, Linux is a hacker's UNIX, in
many ways: it was developed by experienced UNIX hacks for experienced
UNIX hacks. People are working on making it more "newbie-friendly", 
however, keep in mind that this is an afterthought. Linux was never meant
to be the huge popular free UNIX that it has become, and the lack of 
documentation doesn't bother UNIX wizards who can figure it out from 
just poking around.

   I.06)  What's the best advice you can give to a Linux newbie?

ANSWER: Go read a *good* book on using UNIX before you even get started.
Jumping cold-turkey into the Linux world from DOS is going to be quite
difficult. Also remember that you'll be running the system, as well
as using it, so get a book on UNIX system administration. 

Too many folks post questions to comp.os.linux which aren't Linux 
specific at all, and thus aren't covered in this FAQ. (i.e. "How to 
remove a file called '-i'?). If you can't figure out something, it's 
more than likely a misunderstanding of UNIX concepts, not a bug in Linux. 
Please read up on UNIX (see the comp.unix.questions FAQ; that's a good 
one) before you get started.

   I.07)  Does it run on my computer?

ANSWER: Linux has been written on a clone-386, with IDE drives and a
VGA screen. It should work on most similar setups. The harddisk should
be AT-standard, and the system must be ISA. (though *some* EISA
success has been reported [T. Koenig], Linux doesn't take advantage of
the EISA structure).  A high density floppy drive -- either 5.25" or
3.5"-- is required for installation. Finally, most common SCSI
controllers are supported (see the section devoted to SCSI in this FAQ).

{Drew's information: Linux supports anything that's register compatable 
with a WD1003 MFM disk controller (ie, the original PC-AT disk controller.)  
Most AT MFM, RLL, ESDI, and IDE setups look like this.  

There is an alpha driver for the XT disk controller, but in general it's
best to have an AT controller. Mail [email-masked] about 
the XT controller.

Generally, the rule is if you have the disk configured into the 
CMOS setup of your machine, it will work (because the BIOS is talking 
to a WD 1003 compatable board), otherwise it won't.}

IDE and MFM seem to work with no problem. It works, also, for some
ESDI drive (you might have to comment out the "unexpected hd
interrupt"-messages). There exists a high-level SCSI driver, under which 
low-level drivers are placed; a ST-01/ST-02 low driver has been completed 
see the FEATURES and the USEFUL ADDRESSES sections.

Otherwise the requirements seem relatively small: a 386 (SX, DX or any
486).  Any video card of the following: Hercules, CGA, EGA, (S)VGA.

It needs at least 2M to run (with SWAP), and 4M is definitely a plus.
It can happily use up to 16M (and more if you want). 

BTW There are problems with some MAXTOR drives on high speed machines
(sometimes switching off "turbo" helps). There may also be a problem
with "slow" memory (under 60ns) on fast  machines. Again, the solution
is to turn off "turbo". Mixed SIMMs (3 and 9 chip versions) have also
reported to be problematic. 

NOTE: It doesn't run (yet?) on a MCA machine (such as the IBM PS/2 line).

   I.08)   How much space will Linux take up on my hard drive?

ANSWER: It depends on which release you choose. See the section
INSTALLATION below. Usually it's somewhere between 10 megs (for a
nominal system+swap space) and 80 megs (for everything plus space
for user directories, etc.). 

   I.09)   Will Linux run on a PC or 286-AT? If not, why?

ANSWER: Linux uses the 386 chip protected mode functions extensively,
and is a true 32-bit operating system. Thus x86 chips, x<3, will
simply not run it.

   I.10)   Will Linux run on a 386 Laptop?

ANSWER: It works, including X on most of them.

   I.11)   Why the suggested 4Meg, for Linux?

ANSWER: Linux uses the first 640k for kernel text, kernel data and
buffercache. Your mother board may eat up 384K because of the chipset.
Moreover there is: init/login, a shell, update possibly other daemons.
Then, while compiling there is make and gcc (2.01 ~770k).
So you don't have enough real memory and have to page.

   I.12)   How would this operate in an OS/2 environment?

ANSWER: Linux will coexist with *ANY* other operating system(s) which
respects the "standard" PC partioning scheme - this includes Dos,
Os/2, Minix etc. 

WARNING: Linux and OS/2 *can* co-exist on the same machine. BUT, you
cannot use Linux's fdisk to make Linux partitions! See the warnings in
section III about Linux and OS/2.

   I.13)  (Dan) How long has Linux been publicly available?

ANSWER (partial): Few months, v0.10 went out in Nov. 91, v0.11 in Dec.
and the current version CURRENT_VERSION is available since
KERNEL_DATE.  But even it is pretty recent it is quite reliable. There
are very few and small bugs and in its current state it is mostly
useful for people who are willing to port code and write new code. As
Linux is very close to a reliable/stable system, Linus decided that
v0.13 will be known as v0.95.  Believe it or not: the whole story
started (nearly) with two processes that printed AAAA... and BBBB...
BTW consult the digest#136 Vol2 for a complete story.

   I.14)  How reliable is Linux, anyway?

ANSWER: Very much so. The only real "bugs" that we see are with
alpha drivers (that's why they're alpha) and with some parts of
the TCP/IP code. For 99% of applications, however, Linux is very
robust. Linux and Xwindows is faster on a 486-33 than on many
Sun workstations with the same amount of RAM, running SunOS. 

   I.15)   What is the proper pronounciation for "Linux"?

ANSWER: (Linus himself)
'li' is pronounced with a short [ee] sound: compare prInt, mInImal etc. 
'nux' is also short, non-diphtong, like in pUt.  It's partly due to
minix: linux was just my working name for the thing, and as I wrote it
to replace minix on my system, the result is what it is...  linus' minix
became linux. 

I originally intended it to be called freax (although buggix was one
contender after I got fed up with some of the more persistent bugs :)
and I think the kernel makefiles up to version 0.11 had something to
that effect ("Makefile for the freax kernel" in a comment).  But arl
called the linux directory at nic.funet.fi pub/OS/Linux, and the name
stuck.  Maybe just as well: freax doesn't sound too good either (freax
is obviosly free + freak + the obligatory -x). 

(Rick's note for English speakers:  Linux - "LIH-nuhks".)

   I.16)   What's about the copyright of linux?

ANSWER: This is an except of the RELEASE Notes v.095a: Linux is
NOT public domain software, but is copyrighted by Linus Torvalds. The
copyright conditions are the same as those imposed by the GNU
copyleft: The GNU GENERAL PUBLIC LICENSE Version 2, June 1991 is part
of the source tree.

   I.17)  Should I be a UNIX and/or a DOS wizard to install/use Linux?

ANSWER: Not at all, just follow the install rules, of course it will be 
easier for you if you know things about Unix. Right now Linux is used
by more than BIGNUM persons, very few of them enhance the kernel, some
adds/ports new soft, most of us are only (but USEFUL) beta testers.
Last but not least, various Linuxers work on manpages, newuser_help,
file-system organization. So join us and choose your "caste".

It is even used in production environments (Dr. G.W. Wettstein).

   I.18)  Does Linux use TSS segments to provide multitasking?

ANSWER: Yes!

   I.19)  If my PC runs under Linux, is it possible to ftp, rlogin,
rsh etc.. to other Unix boxes?

ANSWER: Yes; Linux supports serial communications (kermit), pseudo-SLIP
(with ka9q), and TCP/IP. SLIP is included in the
CURRENT_VERSION.PATCH_LEVEL. Read the NET-FAQ (see section XIII) for
information on networking. 

   I.20)   Does linux do paging? Can I have virtual memory on my small
machine?

ANSWER: Yes, it does. Generally you set up a swap file or partition, and
enable it with the "swapon" command. Voila! Virtual memory.

   I.21)   Can I have tasks spanning the full 4GB of addressable 386
memory? No more 64kB limits like in coherent or standard minix?

ANSWER: Since 0.97 it uses 4 GB Process Space, 3 for userspace and
1 for the kernel space.

   I.22)   Does the bigger program sizes mean I can run X?

ANSWER: Yes! See section XII below for details on X11.

   I.23)   What are the differences, pros and cons compared to Minix ?

ANSWER (partial): 
Cons: 
- Linux only works on 386 and 486 processors.  
- Linux needs 2M of memory just to run, 4M to be useful.  
- Linux is a more traditional unix kernel, it doesn't use message
passing. 

Pros: 
- Linux is free, and freely distributable, BUT copyrighted.  
- Linux has some advanced features such as:
  - Memory paging with copy-on-write
  - Demand loading of executables
  - Page sharing of executables
  - Multi-threaded file system
  - job control and virtual memory, virtual consoles and pseudo-ttys.
- Linux is a more traditional unix kernel, it doesn't use message
passing.

   I.24)   What are the pros and cons compared to 386BSD ?

ANSWER: Linux and 386BSD started out as completely different projects,
with completely different goals and design criteria in mind.

there are newsgroups devoted to 386BSD : comp.os.386bsd.*

- I have seen in may the first attempt for 386BSD FAQ. Nevertheless
  the Linux FAQ is not bug free, and contains some outdated information.
- 386BSD can do POSIX and BSD
- Linux can do POSIX, SYSV and some BSD stuff
- Linux was developed with portability in mind. So it's not directly
  System V, nor is it directly BSD. It's the best of both worlds,
  a la SunOS. :)

For most of the *nix* users both systems are fairly usable, but none
of them are bug free. 

   I.25)   Why can't we split comp.os.linux ?

ANSWER: (Ian Jackson)
There is a procedure for creating new newsgroups, involving discussion
periods and votes; it can be found in news.announce.newgroups.

In November 1992 I (Ian Jackson) started a formal discussion
under that procedure and duly held a vote for four new groups,
comp.os.linux.announce (moderated), comp.os.linux.questions,
comp.os.linux.bugs and comp.os.linux.misc.

There was quite a heated argument, with many people (esp from Fidonet
and the news->mail gateway) complaining that if the group split they
wouldn't be able to read it.

At the end of the vote the results were as follows (culled from the
announcement at the end of the voting period):

                yes    no   abs    diff    ratio      result why     to change
.announce       479   131     3     348    3.6564885   PASS             249
.questions      380   217    16     163    1.7511521   FAIL (ratio)      54
.bugs           390   212    11     178    1.8396226   FAIL (ratio)      34
.misc           390   207    16     183    1.8840580   FAIL (ratio)      24

 diff = number more yes than no votes - this must be >=100 for a group
	to pass. 
 ratio = ratio of yes to no votes - this must be >=2 for a group to
	pass. 
 to change = the minimum number of votes which would have been
	required to change the result (if they were all "yes" or "no"
	as appropariate). 

The guidelines say that unless a group gets at least twice as many
"yes" as "no" votes and at least 100 more "yes" than "no" votes it
won't be created. Hence all the new groups except .announce failed.
Comp.os.linux.announce now exists: the submission address is via
Matt Welsh ([email-masked]).

The guidelines also say that you have to wait at least 6 months after
a failed vote before trying again - this to stop the obvious problem
of failed groups coming back over and over again.

Hence any more discussion of proposed splits is futile until at least
very late in June. In any case, such a discussion should take place in
the group reserved for that purpose, news.groups, not in
comp.os.linux.

II. LINUX USEFUL ADDRESSES 
=========================

II.A. LINUX ON THE NET: ftp, mailing-list
II.B. OBTAINING LINUX FROM BBS'S: everything about bbs

II.A. LINUX ON THE NET
~~~~~~~~~~~~~~~~~~~~~~

  II.01)  Where can I get linux?

ANSWER: Linux (all the software, binaries, sources, releases, and so on),
can be retrieved via anonymous FTP from :

[ Major sites ]
EUROPE:
	nic.funet.fi (128.214.6.100):
		directory /pub/OS/Linux
	ftp.informatik.tu-muenchen.de (131.159.0.110)
		directory /pub/Linux

US:	
	tsx-11.mit.edu (18.172.1.2):
		directory /pub/linux
	sunsite.unc.edu (152.2.22.81):
		directory /pub/Linux

[ Mirroring sites (some of them, there are lots now) ]

AUSTRALIA:
	kirk.bu.oz.au (131.244.1.1)
		directory /pub/OS/Linux

EUROPE:
        src.doc.ic.ac.uk (146.169.2.1):
		directory packages/Linux
	ftp.mcc.ac.uk (130.88.200.7):
		directory pub/linux
	ftp.dfv.rwth-aachen.de (137.226.4.105):
		directory /pub/linux
	ftp.informatik.rwth-aachen.de (137.226.112.172):
		directory /pub/Linux
	ftp.ibr.cs.tu-bs.de (134.169.34.15):
		directory /pub/os/linux

JAPAN:
	 kuis.kyoto-u.ac.jp (130.54.20.1):
		directory /Linux 
			  /Linux/mirror (for the tsx mirror)
KOREA:
	cair.kaist.ac.kr (143.248.11.170):
	 mirror of sunsite; directory pub/Linux

US:
	wustl.wuarchive.edu (128.252.135.4):
		directory /pub/mirrors4/linux
	ftp.eecs.umich.edu (141.212.99.7):
		directory linux

You might want to check out which of these is the most up-to-date.

> (From: Lee M J McLoughlin <[email-masked]>)
> src.doc.ic.ac.uk:
>
> We are also on Janet (the main UK academic network) as
> uk.ac.ic.doc.src (000005102000).
> 
> More useful perhaps is we are the only big archive available via FTAM,
> the ISO equivalent to FTP.  We can be reached either over the
> internet or janet (see above addresses) or via the European IXI
> network on 204334504108

If you have no FTP capability, you are in trouble. See the next Q/A.
Also, you'll need the "UNCOMP.EXE" and "RAWRITE2.EXE" programs for DOS
(to make your install disks). These are usually found in the Linux
directories on the above FTP sites.

  II.02)  I do not have FTP access, what can I do to get linux?

ANSWER: You can either read the next subsection related to BBS's
otherwise, read the following.

The SLS release is distributable by snail-mail on floppies for those
without net access; see the SLS section in section III of this FAQ for
more. 

Try to contact a friend on the net with those access, or try
mailserver/ftpmail server otherwise contact [email-masked]. You
might try mailing "[email-masked]" with "help" in the body of
the mail.  If you choose ftpmail server (example: [email-masked],
[email-masked]), with "help" in the body, the server will send
back instructions and command list. As an exemple to get the list of
files available at tsx-11 in /pub/linux send:

		mail [email-masked]
		subject: anything
		reply <your e-mail>
		connect tsx-11.mit.edu
		chdir /pub/linux
		dir -R
		quit

In Europe ftp.informatik.tu-muenchen.de is accessible via e-mail (send
"help" in the body to [email-masked])

  II.03)  Is there a newsgroup or mailing-list about linux? 

ANSWER: The comp.os.linux.announce is the place were all the announces
related to linux are posted. The comp.os.linux newsgroup is literally
*teeming* with postings. 
So, to the first question, yes. :) The older newsgroup, alt.os.linux,
is being phased out and shouldn't be used anymore.

If you don't have news access you can get the digest of postings via
e-mail from: [email-masked]. This list
is gatewayed to the newsgroup as well. Only use the 'request' address
for subscribe/unsubscribe messages; don't post those to the newsgroup
or to the actual mailing list.

And last but not least there is the original mailing-list, which is
now a multi-channel list. 
		contact [email-masked]

This multi-channel list is for developpers mainly, see section II for
more information.

  II.04)  Where can I get my questions answered? How about bug-reports?
What do I put into a post to comp.os.linux?

ANSWER: (Paul Gortmaker [email-masked])
 You can post your problem to the above group, comp.os.linux. BUT, BEFORE
 YOU DO THIS, PLEASE READ THE FOLLOWING GUIDELINES.
 
 If you have read the FAQ, man pages, etc, and you still haven't
 solved your problem, then check to make sure you have got the latest
 version of whatever it is that you are working with. Check the dates
 and revision numbers of your versions with the versions on your local
 ftp site (tsx-11.mit.edu , sunsite.unc.edu ?). This includes (most
 importantly) the kernel itself. Make sure you have applied the latest
 patches and recompiled the kernel, or have got the kernel "Image"
 from someone who has done so. And, of course check comp.os.linux
 for info too. If you have a genuine problem, chances are that you
 aren't the first one to find it. So it has probably already been
 reported (...and fixed???). For example, if you are having trouble
 with say Xconfig for some strange VGA card, and you use nn to read
 comp.os.linux, then you could invoke nn as follows:
 
 	nn -x -s 'config' comp.os.linux 
 
 and it will find all the latest articles with the word config in
 their subject for you. This will be one of the most up to date 
 sets of information that you can get -- DON'T OVERLOOK IT !!!
 (You can check the man pages of your news reader to determine
 the options that do the same as the above.)
 
 OK, so you've done all the above, spent 40 hours trying to figure
 it out, have had a nervous breakdown, your girlfriend/boyfriend has
 stopped talking to you, and you decide that you will turn to the
 Linux community for help. Here are some guidelines on posting that
 will ensure that you get a quick response, and that you hopefully
 don't get flamed.
 
 1)	Choosing a Subject:
 	
	It is important to try and squeeze as much information into
 	as few words as possible. If you can manage it, try and 
 	put the package name, version, and problem into the subject.
	But don't make it too long, or the middle will get chopped 
 	out. For example "I'm having problems with poeig-1.1.tar.Z 
 	on my 486 with 0.99p6" will probably appear to everybody as
	"I'm having prob <> ith 0.99p6" Not very useful... 
	What should have been used was something like:
	"poeig-1.1 w 99p6 wont compile" would be much better, and
 	relays that you are having trouble with getting it to 
 	compile. (Note that this is just an example, I have no 
 	knowledge of problems with poeig!) Also, (unless you like
 bugs -> getting flamed!) DON'T claim you have found a bug, unless
 	you are ABSOLUTELY SURE! Nothing p***es developers off more
 	than erroneous bug reports. 
 
 2) 	Keywords:
 
 	If your news poster program asks for keywords, try and put
 	in some useful descriptive words, so that others can use them
 	for a meaningful search.
 
 3)	Body of the Article:
 
 	There are some key things that need to be included in the
 	body of the article. (a) The name and version of the thing
 	that you are having the problem with. (b) The type of problem,
 	ie compilation, execution, etc. -- (c) versions of related
 	software, ie if compilation is the problem, then the version
 	of GCC you are runnning is relevant. If you are having trouble
 	with a program that uses X, then the version of X you are using
 	is relevant. (d) The version and patchlevel of the kernel you
 	are using at present. (ie. 0.99p7 or whatever) (e) the type
 	or brand of any related hardware, ie. if you are having problems
 	with networking, then you would want to say that you are using
 	a Western Digital SMC Elite 16 or whatever your ethernet card
 	is. (f) Any relevant error messages that were reported by the
 	system during the problem.
 	And, of course, there are some things that one should NOT put
 	in the article. For example, don't post a 30 page configuration
 	file and expect anybody in their right mind to look through it.
 	And similarly for any HUGE files. If they are relevant to your
 	problem, then someone will respond by asking you something like
 	"Did you check line 32 in file such and such???"  And try to
 	avoid negative comments like "The documentation isn't fit for
 	my dog." If you have a bone to pick, do it via e-mail, so the
 	rest of us don't have to read a flame war! It just adds to the 
 	amount of useless noise on comp.os.linux, which already takes
 	too long to scan through. Besides, the developers are doing this
 	FOR FREE. THEY ARE NOT OBLIGATED TO DO ANYTHING. DON'T ABUSE
 	THEM!!! (Or they might just go away, which hurts us all.)
 
 Well, with all this in mind, hopefully you will get a quick response to
 your problem, and maybe someday you will be able to answer someone else's
 problem from the experience you gain!

  II.05)  Could you be more explicit about the multi-channel list?

ANSWER: Well, there are many things to say:
   - these channels are rather devoted to hackers
   - the ones I am aware of are: GCC, MGR, X11, SCSI, NEW-CHANNELS,
     MSDOS (emulator discussion) , NORMAL, KERNEL, FTP, LAPTOP, DOC,
     NET, CONFIGS, LINUXNEWS ... 
   - whenever you want to JOIN or LEAVE a channel you have to
     contact the request address
   - you have to use special header (X-Mn-Key and Mn-Admin); X-Mn-Key
     is *ONLY* for regular post, the X-Mn-Admin is for *REQUEST*

(Ari Lemmke: 1 Nov. 1992):
	Hmmm.... It seems our list has now about 1500 users
	in 21 channels (mailing lists). 3960 without uniq.

	"echo foo | mail [email-masked]"
	to get the Mail-Net User Guide.

  II.06)  How can I join the channel XXX on the linux-activists
mailing list?

ANSWER: just send a mail to the request address with help in the body;
you will get back a mail which gives you the list of channels and the
way to join/leave them. Basically you send mail to the request address
with the line:
   X-Mn-Admin: join <channel>

  II.07)  How can I leave the channel XXX on the linux-activists
mailing list?

ANSWER: Same as above, basically. You send mail to the request address
that contains the line:
   X-Mn-Admin: leave <channel>

  II.08)  I'm not an hacker, what are the channels I could be interested
in? 

ANSWER: Probably these are the most interesting for you (IMHO)

	Channel NORMAL:
	~~~~~~~~~~~~~~~
 Channel normal is the former Linux-Activists mailing list
 (all the people who were on the old Linux-Activists list
 are moved to this channel).

	Channel DOC:
	~~~~~~~~~~~~
 This channel is for Linux document "project". Discussion about Linux
 documents, manuals, papers, etc.  

	Channel CONFIGS:
	~~~~~~~~~~~~~~~~
 This channel will be devoted to send submissions of systems that have
 Linux already running, AND those that, for any reason, can't get it  
 to work yet.

 Mainly, what it's need from all the channel users is to send their
 hardware configuration list (as complete as possible). Include
 anything that you feel pertinent for information: CPU,
 motherboard, RAM amount, HD & floppy controller, BIOS, monitor,
 video card & memory, network adapter, etc. If you are having trouble
 with your current system, or you find out that a program doesn't work
 properly on your system due to a HARDWARE problem, it may be useful  
 for us to know your configuration; maybe you can get a lot of help. 

	Channel LINUXNEWS:
	~~~~~~~~~~~~~~~~~~
 The LINUXNEWS channel will be used for distribution of Linux News, a
 weekly (if I can find the time) summary of things that happen in the
 Linux community.  Discussion is not encouraged, if you have complaints
 or suggestions, send them directly to me ([email-masked]).

	Channel NEW-CHANNELS:
	~~~~~~~~~~~~~~~~~~~~~
 On the future users on this channel get the information about new
 channels created. 

 By this way you can join the channels you want, and do not need to
 send mail to Mail-Net info server or listen rumours.

  II.09)  Does there exist a place where the traffic of the newsgroup
is kept?

ANSWER: Yes, on nic and tsx-11 (see the ftp addresses above), and since
12th March, a Gopher server is up at beryl.daimi.aau.dk (130.225.16.86).  
The archives go back to Nov. 18. 91. Also recently a WAIS server for the
linux mail archive has been setup at fgb1.fgb.mw.tu-muenchen.de. Contact
[email-masked] for more info. 

All back issues of the Digest are available on tsx-11.mit.edu
[18.172.1.2] in the following place(s):

pub/linux/mail-archive
                     ~/Volume?               /* where '?' in volume #
                              ~/digestnnn.Z   * and nnn is issue #
                                              */

II.B OBTAINING LINUX FROM BBS'S
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*** This section is maintain by Zane Healy ([email-masked])
*** Last Update June 1993.

  II.10)   I don't have access to FTP, how can I obtain Linux?

ANSWER:  Linux is available from various BBS's around the world.

  II.11)   I got this FAQ from a local BBS, or a friend, and I see there
is a newsgroup called comp.os.linux .  I don't have access to USENET or
mail, so how can I get the messages?

ANSWER:  Some of the BBS's on FidoNet carry comp.os.linux as a FidoNet
conference.  Also some of the other BBS's carry it in some form or other.

  II.12)   Do BBS's offer anything that the Internet does not?

ANSWER:  Yes, on the information side there are the UNIX conferences on
both the RIME network and FidoNet.  Although they are not dedicated to
linux, a large amount of the messages are linux related.  Also at least
one software package being developed for linux, and also one port is
available via BBS's long before they are available via anonymous FTP. 

  II.13)   What is a BBS?

ANSWER: A BBS is a Bulletin Board System, it let's you transfer
message's and file's via your phone line and all you need is a
computer with communications software and a modem.  Some BBS's
transfer message's among each other forming large computer network's
similar to USENET.  The most popular of these in the US are FidoNet
and RIME.

  II.14)   How can I get a (Near) complete list of BBS's that carry Linux?

ANSWER:  I (Zane Healy) post a list of all known BBS's that carry Linux
to comp.os.linux as well as the RIME and Fidonet UNIX conferences on the
1st and 15th of each month.

  II.15)   Now that I have a phone number, how do I go about accessing a
BBS?

ANSWER: 

1. You need a computer equipped with communications software and a modem.

2. For ALMOST all BBS's you will need to set the comm software up for:
    8 - Data Bits
    N - Parity
    1 - Stop Bit

   Although certain BBS's and Communication services require that the 
software be set for:
    7 - Data Bits
    E - Parity
    1 - Stop Bit
   
   You will also need to set the comm software for the correct speed,
either the top speed, or the max speed for your modem.

3. Using the comm software, call the BBS.  Once you connect with the
BBS (this may take awhile, as other people are likely to be using it),
you will be asked some questions.
   If you are a registered user of the BBS it will normally only ask
for your name and password.  However if you are not a registered user,
it will most likely require that before you do anything, you register.
The method of registration varies from BBS to BBS.
   Normally the first thing that will happen is, you sign on to the
BBS, and tell it your name.  It will then check it's list of user's
and see that you are not one of them.  At which time it will ask you
if you are a new user, or if you wish to re-enter your name.  When you
tell it you are a new user, it will then ask you some questions about
yourself, such as where you are calling from and your phone number.  A
lot of BBS's will want some statistical info such as what type of
computer you are using, your communications software, your age, etc,
etc.
   After this, most BBS's require some sort of validation, this is for
the System Operator's (SysOp's) protection.  One type is where you
give the BBS software your phone number, hang up, and the BBS calls
your computer to verify that you gave it legitament phone number.
Some BBS's require that you mail the SysOp a postcard.  Most, however
just require that you give the SysOp the request info and then he
upgrades your level of access a couple of day's later.
   For the most part you will find that the registration process is
easy to follow and well documented.

  II.16)   There is a local BBS that carries Linux, but it isn't on the
latest Linux BBS List.  How do I go about submitting it for inclusion in
the list? 

ANSWER:  Send the following information on the BBS to me:

                                           BBS Name:
                                       Phone Number:
                                        Modem Speed:
                             City and State/Country:
Whatever Network it's on (i.e. FidoNet, RIME, etc.):
         First Time access to D/L Linux Files (Y/N):
                   Free Access to Linux Files (Y/N):
                          Allow File Requests (Y/N):
                                   BBS Rating (1-5):

I can be reached at one of the following E-Mail Addresses:
             Internet -- [email-masked]
           CompuServe -- 70332,14
              Prodigy -- SCNN49A
         Fido NetMail -- Zane Healy at 1:109/615
 RIME UNIX Conference -- Zane Healy

  I would apprieciate it if when you send me info on a BBS that you
send me all the info that you see in the entries, thanks.

 It is my understanding that if you have access to a BBS on 
FidoNet that if you can talk the SysOp into it he can get the 
Linux Files via Fidonet Linux SDN.

  II.17)   What can I do to help ensure the continued development of
Linux?

ANSWER:  PLEASE UPLOAD FILES TO BBS'S

   In posting this list I would like to point out that a large number 
enthusiests don't have FTP access.  In fact it is possible that by now 
most of the Linux fan's don't.  So I would like to suggest that those 
of us that do, find at least one BBS to post the Linux file's to.  I, 
for one post every file that I get to at least one of the local BBS's, 
and from there they the file's tend to find there way to other local 
BBS's.  I've seen post's about the future of Linux etc., well here is a
way to help guarentee it.  I think it's safe to assume that most people 
with FTP access also have a modem.  So how about doing other Linux fan's
a favor and finding a BBS to upload the Linux files to.

BBS OF THE MONTH:
  MD      Brodmann's Place        301-843-5732    14.4k
   This BBS not only carries an excellent selection of Linux file, but
it also has the following Linux related newsgroups/conferences.
   USENET              Fidonet                             RIME
   ------              -------                             ----
comp.os.linux          Fido UNIX                           RIME UNIX   
comp.os.linux.announce Linux_Local(local to 109 Fido area)

FORMAT:
State   YYY  BBS Name                Phone Number    Modem Speed
Rating       City                    Other data
 
RATING SYSTEM:  1 -- Only enough the most basic of files
                2 -- The basic's and a little more
                3 -- So, so
                4 -- A respectable amount
                5 -- Pretty much everything you need
 
ADDITIONAL INFO:  

     YYY -- Either a Yes/No/? answer to the question
     |||
     ||Free access to Linux files
     |Allow file requests (FidoNet)
     First time D/L of Linux related files

File Requests:
  FidoNet BBS's with the right type's of front-end mailer's can call other
Fido BBS's and request their front-end mailer to send them files that they
want.  All this can be done automatically.  File Requests (freqs) are 
basically the FidoNet equivallent to UUCP.

UNITED STATES:

??  ??? ??????????????????      516-244-7064    9600
  3-4   ??????                  ???

CA  NNY Citrus Grove Public Access 916-381-5822 ZyXEL 16.8/14.4
  3     Sacramento              citrus.sac.ca.us
CA      High[er] Powered BBS    408-737-7040  
  4     ?                       RIME ->HIGHER
CA      hip-hop                 408-773-0768  19.2k
                                408-737-8300  38.4k
  5     Sunnyvale               USENET
CA  YYY Unix Online             707-765-4631    9600
  4     Petaluma                USENET  
CA      The Outer Rim           805-252-6342  
  ?     Santa Clarita        
CA      Programmer's Exchange   818-444-3507
                                818-579-9711
  ?     El Monte                Fidonet
CA  ??? Micro Oasis             510-895-5985    14.4k
  ?     San Leandro       
CA  YNY Test Engineering        916-928-0504    
  ?     Sacramento
FL  NYY Slut Club               813-975-2603    USR/DS 16.8K HST/14.4K 
  5     Tampa                   Fidonet 1:377/42
FL      Lost City Atlantis      904-727-9334    14.4k
  4     Jacksonville            Fidonet
FL  YYY Acquired Knowledge BBS  305-720-3669    14.4k v.32bis
  5     Fort Lauderdale         Internet (UUCP)
GA      AVSync                  404-320-6202  
  2     Atlanta                 
GA  YYY Information Overload    404-471-1549    19.2k ZyXEL 
  5                             FidoNet 1:133/308
GA      Atlanta Radio Club      404-850-0546    9600
  ?     Atlanta
ID      Rebel BBS               208-887-3937    9600
  5     Boise
ID  YYY Phantasia BBS           208-939-1350    9600 
  5     Boise                   Smartnet 1:347/25
ID  YYY Rocky Mountain HUB BBS  208-232-3405    38.4k
  4     Pocatello               Fido,SLNet,CinemaNet,etc
IL  YYY EchoMania BBS           618-233-1659    14.4k HST
  3     Belleville              Fido 1:2250/1  (f'reg LINUX)
        F'reqs from unlisted nodes, online callback verifire (works L.D.)
IL  YNY UNIX USER               708-879-8633    14.4k
  4     Batavia                 USENET, Internet mail
        Home of Unix User newsletter
IL  NYY PBS BBS                 309-662-2042 Node 1 - 16.8k v.32/HST
                                309-663-7675 Node 2 - 2400
  2     Bloomington             Fido 1:232/303
IL      Third World             217-356-9512    9600 v.32
  3-4   
IN  NNY Digital Underground     812-941-9427 14.4k v.32bis
  5        USENET News Feed
LA      The OA Southern Star    504-885-5928  
  ?     New Orleans             Fidonet 1:396/1
MA  N?N Channel One             617-354-8873  
  ?     Boston                  RIME ->CHANNEL
MA  YNY VWIS Linux Support BBS  508-793-9568    9600
  4     Worcester
MA  YYY WayStar                 (508)481-7293   14.4k v.32bis
        (508)481-7147           (508)480-8371
  5     Marlborough             FidoNet (1:322/140)
MD  N?N Programmer's Corner     301-596-1180    9600  
  5     Columbia                RIME                    
MD      Brodmann's Place        301-843-5732    14.4k
  5     Waldorf                 RIME ->BRODMANN
                                FidoNet
  Carries 5 different message groups dealing with Linux/UNIX
MD      Main Frame              301-654-2554    9600
  4     Gaithersburg            RIME ->MAINFRAM
MD      1 Zero Cybernet BBS     301-589-4064
  2
MD  YNY WaterDeep BBS           410-614-2190   9600 v.32
  5     Baltimore
ME  ??? Harbor Heights BBS      207-663-0391
  ?     Boothbay Harbor
MN  YNY Part-Time BBS           612-544-5552   14.4k v.32bis
  ?     Plymouth
MO  NNY The Sole Survivor       314-845-6616   14.4k v.32bis
  5     St. Louis               WWIVnet, WWIVlink, +more
NC      MAC's Place             919-891-1111   16.8k, DS modem 
  5     Dunn                    RIME ->MAC
NC  YNY Digital Designs         919-423-4216   14.4k,23k
  4     Hope Mills
NE      Flite Line              402-421-2434  
  2     Lincoln                 RIME ->FLITE   DS modem
NE      Legend                  402-438-2433  
  2     Lincoln                                DS modem
NE      MegaByte Mansion        402-551-8681    14.4 V,32bis
  ?     Omaha
NJ      Mycroft QNX             201-858-3429	14.4k
  4     ?
NJ  YNY Steve Leon's            201-886-8041    14.4k
  3     Cliffside Park
NJ  YYY Dwight-Englewood BBS    201-569-3543    9600 v.42
  3     Englewood, NJ           USENET
NJ  YNY WEFUNK, The Mothership Connection 908-940-1012     38.4k
  4     Franklin Park, NJ
NY  YYY The Laboratory          212-927-4980    16.8k HST, 14.4k v.32bis
  3-4                           FidoNet 1:278/707
OR  YYY Intermittent Connection 503-344-9838    14.4k HST v.32bis   
  5     Eugene, Ore             1:152/35
        f'req LINUX for a list - CBV not needed to d/l linux files
PA  NNY Centre Programmers Unit 814-353-0566    14.4k V.32bis/HST  
  5     Bellefonte, PA
PA  YNY Allentown Technical     215-432-5699    9600 v.32/v.42bis
  4     Allentown               WWIVNet 2578
PA  YYY Tactical-Operations     814-861-7637    14.4k V32bis/V42bis
  1     State College           Fidonet 1:129/226  tac_ops.UUCP
TX      North Shore BBS         713-251-9757
  2     Houston
TX      The Annex               512-575-1188    9600 HST
  ?                             Fidonet 1:3802/217
                                512-575-0667    2400
                                Fidonet 1:3802/216
  Files available by f'req or by sign-on with a 60-minute per-day limit
TX      Walt Fairs              713-947-9866
  2     Houston                 FidoNet 1:106/18
TX  YYY CyberVille              817-249-6261    9600
  3                             FidoNet 1:130/78
TX  YNY splat-ooh               512-578-2720    14.4k
                                512-578-5436
  5     Victoria
TX  YNY alaree                  512-575-5554    14.4k
  5     Victoria
TX  YNY Ronin BBS               214-938-2840    14.4 HST/DS
2       Waxahachie (Dallas)     RIME,Intelec,Smartnet,and more!
VA      VTBBS                   703-231-7498
  5     Blacksburg
VA      MBT                     703-953-0640
  ?     Blacksburg
VA      NOVA                    703-323-3321    9600  
  4     Annandale               Fidonet 1:109/305
VA      Rem-Jem                 703-503-9410    9600
  2     Fairfax
VA      Enlightend              703-370-9528    14.4k
  3     Alexandria              Fidonet 1:109/615
VA  YYY My UnKnown BBS          703-780-6890    14.4k V.32bis
  5                             Fidonet 1:109/370
VA  YN? Georgia Peach BBS       804-727-0399    14.4k
  1     Newport News
WA  YYY S'Qually Holler         206-235-0270    14.4k USR D/S
  5     Renton                  FidoNet: 1:343/34
        USENET squally.halcyon.com   
        (Anon UUCP: nuucp nuucp /sc2/bbs/filelist.z)
WA  YYY Top Hat BBS             206-244-9661    14.4k
  2                             Fidonet 1:343/40
WA  YNY victrola.sea.wa.us      206-838-7456    19.2k
  3     Federal Way             USENET
 
Commercial Services that carry some of Linux:
 
--  NNN Compuserve CIS          ???????????     9600
  1     UnixForum               800-848-8199 voice number
--  NNN GENie                   ???????????     9600/2400
  3                             800-638-9636 voice number
                                301-251-6415 voice number, international
--  NNN BIX                     ???????????
  1                             800-227-2983 voice number
--  NNN Delphi                  ???????????
  ?     In PC SIG
 
OUTSIDE US:
 
AUSTRIA:
W   YYY Galaktische Archive     0043-222-8303804 16.8 ZYX  (19:00-7:00)
  4     Wien                    fido 2:310/77

AUSTRALIA:
NSW YYN Linux-Support-Oz        +61-2-418-8750 v.32bis 14.4k
  5     Sydney                  Internet/Usenet, E-Mail/News
NSW NYY 500cc Formula 1 BBS     +61-2-550-4317 V.32bis
  4     Sydney
 
CANADA:
AB  NNN  Magic BBS              403-569-2882  14.4k HST/Telebit/MNP
  3      Calgary, AB, Canada    Internet/Usenet
AB  Y?Y   Logical Solutions     2400 Baud lines - 299-9900 to 9911
  5                             14.4 K lines    - 299-9912 to 9913
                                16.8k USR v32bis- 299-9914 to 9917
AB  YNY  V.A.L.I.S.             403-478-1281  14.4k v.32bis
  5      Edmonton               USENET
ON  ???  The Windsor Download   (519)-973-9330  v32bis 14.4 
  ?
ON   YYY r-node                 416-249-5366  2400
  3      Toronto                USENET
QC       Synapse                819-246-2344  819-561-5268
  4      Gatineau               RIME->SYNAPSE
QC   YNY Radio Free Nyongwa     514-284-6693  v.32bis (ZyXEL)
  2      Montreal               USENET, Fido

GERMANY:

   The BBS's in the German and Austrian sections are thanks to 
   Rasca Gmelch who maintains a list of German and Austrian BBS's.  
   He can be reached at: [email-masked]

HB      bakunin.north.de        (0421) 870532           9600
  ?     D 2800 Bremen    [email-masked]

NDS ??? DataComm1               0531/13216    14.4 HST
    ?   Braunschweig            fido 2:240/550, LinuxNet
NDS ??? DataComm2               0531/13217    14.4 HST
    ?   Braunschweig            fido 2:240/551, LinuxNet
NDS YYY Linux Server /Braukmann 0441/592963   16.8 ZYX
    5   Oldenburg               fido 2:241/2012, LinuxNet
HH  ??? Hub Hamburg & trash-hh  040/?         14.4     (8:00 - 24:00)
    ?   Hamburg                 fido 2:241/2100, LinuxNet
NDS YYY MM's Spielebox          05323/3515    14.4 ZYX
    5   Clausthal-Zfd.          fido 2:241/3420, SLS 1.01, SLT
NDS YYY MM's Spielebox          05323/3516    16.8 ZYX
    5   Clausthal-Zfd.          fido 2:241/3421, SLS 1.01, SLT
NDS YYY MM's Spielebox          05323/3540    9.6
    5   Clausthal-Zfd.          fido 2:241/3422, SLS 1.01, SLT
NDS YYY Bit-Company             05323/2539    16.8 ZYX   MO
    5   Clausthal-Zfd.          fido 2:241/3430, SLS 1.01
BW  NYY Fractal Zone BBS /Maass 0721/863066   16.8 ZYX  (24h)
    3   Karlsruhe               fido 2:241/7462 
NRW ??? Hipposoft /M. Junius    0241/875090   14.4 HST  (4:30-7,8-23:30)
    5   Aachen                  fido 2:242/6, SLS1.01/kernel 0.99.9
??? YYY UB-HOFF /A. Hoffmann    0203/584155   19.2 ZYX+ 
    3   Duisburg                fido 2:242/37, SLS1.0/kernel 0.99.7
SHL ??? FORMEL-Box              04191/2846    16.8 ZYX  (6:00-20:00) 
    ?   Kaltenkirchen           fido 2:242/329, LinuxNet
??? ??? (boxname)               ?             16.8 ZYX  (10:00 - 22:00)
    ?   ?                       fido 2:246/55.4      
BAY ??? (boxname)               08161/82615   16.8 ZYX  (22:00-8:00)
    ?   Freising                fido 2:246/129
BAY ??? BOX/2                   089/6019677   16.8 ZYX  (22-24,0:30-2,5-8)
    ?   Muenchen                fido 2:246/147, info magic: LINUX
BAY YYY DBP Line 2+1            0851/55596    14.4 V32b (8:00-3:30)
    2   Passau                  fido 2:246/200
BAY YYY DBP Line 1              0851/753789   16.8 ZYX  (8:00-3:30)
    2   Passau                  fido 2:246/2000
BAY YYY DBP Line 3              0851/73273    14.4 HST  (5:00-3:30)
    2   Passau                  fido 2:246/202
BAY YYY DBP ISDN                0851/950464   38.4/64k (V.110/X.75)
    2   Passau                  fido 2:246/201 (8:00-24:00,1:00-3:30)
BLN ??? (boxname)               030/6866250   16.8 ZYX
    ?   ?                       fido 2:2403/17
BLN YYY CS-Port                 030/4913418   19.2 ZYX+
    4   Berlin                  fido 2:2403/13, SLS1.02
BLN YYY BigBrother / R. Gmelch  030/3356328   16.8 Z16 (16:00-23:00)
    5   Berlin                  fido 2:2403/36.4, SLS1.02/kernel 0.99.9
BW  YYY Echoblaster BBS #1      07142/21392   HST/V32b (7-19:00,23-01h)
    5   Bietigheim              fido 2:2407/4, LinuxNet
BW  YYY Echoblaster BBS #2      07142/21235   V32b (20:00-6:00)
    5   Bietigheim              fido 2:2407/40, LinuxNet
BW  NYN LinuxServer             0711/756275   16.8 HST (8:3-17:5,19-2) MO
    5   Stuttgart               fido 2:2407/34, LinuxNet
BW  NYY Rising Sun BBS          07147/3845    16.8 ZYX  (05:30-02:30)
    4   Sachsenheim             fido 2:2407/41, LinuxNet

FINLAND:
    NNY The Field of Inverse Chaos +358 0 506 1836      14.4k v32bis/HST
  4     Helsinki, Finland       USENET; ichaos.nullnet.fi

FRANCE:
    NNY Modula BBS  +33-1 4043 0124, +33-1 4530 1248  HST 14.4 V.32bis
  5     Paris        Michel Parlebas (no fee for Linux files)
    NNY Windows Manor   ???????????? NEED MORE INFO PLEASE.
  ?     Paris        Francis Rozange (recently relocated)
    YYY  BuBullux  (semi-private, number by request)  16.8k V32bis
  5     Paris        send requests for number to [email-masked]
    free semi-private system, hours 18:30-08:00 (but weekends 24 hours)
    2 hours download time per day, FREQ for both listed and 
    unlisted nodes. 
    NYY  STDIN BBS              +33-72375139       V32bis
  5      Lyon, Laurent Cas      FidoNet 2:323/8
    NYY  Le Lien                +33-72089879       HST 14.4/V32bis
  ?      Lyon, Pascal Valette   FidoNet 2:323/5
    YNY  Basil                  +33-1-44670844     V32bis
  2      Paris, Laurent Chemla
         BBS under Linux (xbbs)
    YNY  Cafard Naum            +33-51701632    V32bis
  2      Nantes, Yann Dupont
  open between 08:30-22:30 local time - BBS under Linux (pbbs 1.9)

IRELAND:
    NYN TOPPSI                  +353-1-711047           9600 + HST 
                                +353-1-773547           14.4k v.32bis
  4     Dublin, Ireland         Fido, (Chatnet ?)       Fidonet 2:263/151
    NNN DUBBS                   +353-1-6789000          19.2 ZyXEL
  2     Dublin, Ireland         Fidonet 2:263/167
    NNN Galway Online           +353-91-27454           14.4k v32b
  4     Galway, Ireland         RIME, @iol.ie
    N?Y Nemesis' Dungeon  +353-1-324755 or 326900       14.4k v32bis
  4     Dublin                  Fidonet 2:263/150

ITALY:
    NYY nonsolosoftware         +39 51 6140772  v.32bis,v.42bis
                                Fidonet 2:332/407
           "      "             +39 51 432904   ZyXEL 19.2k
   5                            Fidonet 2:332/417

NETHERLANDS:
    YNY Koos z'n Doos           +31-3402-36647
NEW ZAALAND:

    YYY Advanced Systems        +64-9-379-3365  ZyXEL 16.8k
   5    Auckland  Singet node number(s) 28:100/20 / 28:1000/201
                  INTLnet node number(s) 58:700/30 / 58:7200/30
       Fidonet 3:772/360.10 (Just a pont sorry) 24Hrs Freqs etc.
             
NORWAY:   
        Thunderball Cave        472567018     
   ?                            RIME ->CAVE ?

NETHERLANDS:
    YNY DownTown BBS Lelystad   +31-3200-48852          14.4k
  5     Lelystad                Fido 2:512/155, UUCP
    YYY MUGNET Intl-Cistron BBS +31-1720-42580    38.4k
  4-5   Alphen a/d Rijn         UUCP

SINGAPORE:
    YYY The Controversy         (65)560-6040            14.4k V.32bis/HST
  2-4                           Fidonet 6:600/201

SOUTH AFRICA:
    NYY Pats System             +27-12-333-2049         14.4k v.32bis/HST
  3     Pretoria                Fidonet 5:71-1/36

SWEDEN
    ?Y? Gunship BBS             +46-31-693306           14.4k HST DS
  ?     Gothenburg
SWITZERLAND:
    NNY Atlantis                +41-1-492-8711          14.4k
  4                             ILINK
    YYY Baboon BBS              +41-62-511726           19.2k
  ?                             2:301/580  /581  

UNITED KINGDOM:
    NYN The Purple Tentacle     +44-734-590990          HST/V32bis
  4     Reading                 Fidonet 2:252/305 
        A6 BBS                  +44-582-460273          14.4k
  ?     Herts                   Fidonet 2:440/111
    YYY On The Beach            +44-273-600996          9600 HST
  4     Brighton                Fidonet 2:441/122

Commercial Service's Outside the US:

UNITED KINGDOM:
    NNN Compulink Info eXchange 081-390-1255            v.32bis
  5

  II.18)  What are File Requests?

ANSWER: FidoNet BBS's with the right type's of front-end mailer's can
call other Fido BBS's and request their front-end mailer to send them
files that they want.  All this can be done automatically.  File
Requests (freqs) are basically the FidoNet equivallent to UUCP.

	   ===================8<==========>8================

-- 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#	LaBRI 			 |					    #
#  351 cours de la Liberation    |  e-mail:  [email-masked]   #
#  33405 Talence Cedex		 |  e-mail:  [email-masked]    #
#  				 |					    #
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-- 
	 There will be a sig when our local net is reliable.
	       For now, I would rather stay anonymous.